<?php

namespace Ardent\Undercurrent\Controller;

use App\Controller\BaseController;
use Ardent\Undercurrent\Attribute\Route;
use Ardent\Undercurrent\Collector\ClassAttributeCollector;

class GenericRouter
{
    private array $routes = [];

    public function __construct()
    {
        $collector = new ClassAttributeCollector(
            __DIR__ . '/../../app/Controller',
            Route::class,
        );

        $this->routes = $collector->collect();
    }

    public function getRoute(string $route): array
    {
//        return $this->routes[0];
        return [
            'controller' => BaseController::class,
            'method' => 'HelloWorld',
        ];
    }
}